#include "showimg.h"
#include <qapp.h>


int main( int argc, char **argv )
{
    QApplication a( argc, argv );

    if ( argc != 2 ) {			// no filename argument
        warning( "Usage: showimg filename" );
        return 1;
    }

    CuteWidget w;
    w.loadImage( argv[1] );		// load specified image
    a.setMainWidget( &w );
    w.show();

    return a.exec();
}
